### Method

# Mtk Rectangle crop_and_scale

#### Declaration [src]

    void
    mtk_rectangle_crop_and_scale (
      const MtkRectangle* rect,
      const graphene_rect_t* src_rect,
      int dst_width,
      int dst_height,
      MtkRectangle* dest
    )

#### Description

No description available.

#### Parameters

`src_rect`

  Type: `graphene_rect_t`

  No description available.

  The data is owned by the caller of the method.

`dst_width`

  Type: `int`

  No description available.

`dst_height`

  Type: `int`

  No description available.

`dest`

  Type: `MtkRectangle`

  No description available.

  The data is owned by the caller of the method.